Status: Closed Start date: 2010-06-01

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 100%

Category: PDF export Estimated time: 0.00 hour

Target version: 1.2.0   

Description

This patch fixes wrapping problems with text fields (subject and custom text and long text fields) when generating a PDF.

The main fixes were:

Single Issue:

wrap subject in both the page title and in the table cell

the description was not being printed

wrap journal details indicating what changed

Issues List:

wrap text in all cells of the table, regardless of type

give custom "text" and "long text" fields the same width weight as the subject

Related issues:

Related to Redmine - Defect #61: Broken character encoding in pdf export Closed

Related to Redmine - Defect #7386: NoMethodError on pdf export Closed 2011-01-20

Has duplicate Redmine - Defect #4686: When exporting to PDF, text should wrap... Closed 2010-01-28

Associated revisions

Revision 5604 - 2011-04-30 02:29 - Toshi MARUYAMA

Wrap long text fields properly in PDF exports (#5629).

Contributed by Hugo Ferreira.

Revision 5605 - 2011-04-30 07:58 - Toshi MARUYAMA

PDF: fix automatic line break in Chinese PDF (#5629).

Contributed by Jun NAITOH.

History

#1 - 2010-07-22 03:54 - David Le Dieu

Thanks for addressing this Hugo - it will certainly be a nice improvement. I am trying to run the patch but get the following output...

bash-4.1$ patch p0 < wrap_text_fields_in_pdf_r3764.patch

patching file patch

Hunk #1 FAILED at 87.

Hunk #2 FAILED at 100.

Hunk #3 FAILED at 122.

Hunk #4 FAILED at 140.

Hunk #5 FAILED at 159.

Hunk #6 FAILED at 174.

Hunk #7 FAILED at 185.

Hunk #8 FAILED at 194.

Hunk #9 FAILED at 247.

Hunk #10 FAILED at 286.

10 out of 10 hunks FAILED - saving rejects to file patch.rej

Any idea what I might be doing wrong? I am running the latest bitnami redmine stack if that gives you any clues.

2025-05-01 1/3

https://www.redmine.org/issues/1
https://www.redmine.org/issues/2
https://www.redmine.org/issues/3
https://www.redmine.org/issues/4
https://www.redmine.org/issues/5
https://www.redmine.org/issues/6
https://www.redmine.org/issues/7
https://www.redmine.org/issues/8
https://www.redmine.org/issues/9
https://www.redmine.org/issues/10


#2 - 2010-09-29 02:08 - Hugo Ferreira

- File issue5629_wrap_text_fields_in_pdf_r4213.patch added

- Assignee set to Eric Davis

Eric, can't you check this patch I've just updated for v1.0.2?

Would it be possible to get it in while it is still up-to-date with the latest version of the "lib/redmine/export/pdf.rb" file?

#3 - 2010-09-29 02:15 - Hugo Ferreira

David Le Dieu wrote:

Any idea what I might be doing wrong? I am running the latest bitnami redmine stack if that gives you any clues.

 Not really sure, but most likely at the time the bitnami version had already moved past the v0.9.4 against which the patch was made.

This new version tested successfully against Redmine v1.0.2 (r4213) so you can try it again on that version, although I believe the bitnami is still at

v1.0.1 and considering that the patched file was changed from v1.0.1 to v1.0.2 I'm not sure it'll update successfully.

#4 - 2010-10-25 16:59 - Eric Davis

- Assignee deleted (Eric Davis)

#5 - 2011-01-25 16:32 - Michael P

Hi,

is this patch still working for V1.1.0?

#6 - 2011-01-27 09:25 - Michael P

- Assignee set to Hugo Ferreira

#7 - 2011-02-01 14:53 - Hugo Ferreira

- File issue5629_wrap_text_fields_in_pdf_r4784.patch added

- Status changed from New to Resolved

- % Done changed from 0 to 100

Nope, it does not apply successfully to the latest v1.1.1, since there was a small change made in r4736 that touched one of the lines of the patch.

I'm attaching a new patch that works on the latest r4784: "issue5629_wrap_text_fields_in_pdf_r4784.patch"

#8 - 2011-02-01 14:56 - Hugo Ferreira

Now, who can pick this up and commit it to trunk?

(before the main code moves yet again and invalidates this patch… it's been 8 months, already!)

#9 - 2011-02-04 15:38 - Etienne Massip

- Category set to PDF export

#10 - 2011-04-29 23:59 - Toshi MARUYAMA

- % Done changed from 100 to 50

https://www.chiliproject.org/issues/357

#11 - 2011-04-30 02:17 - Toshi MARUYAMA

- Status changed from Resolved to New

- Assignee changed from Hugo Ferreira to Toshi MARUYAMA

#12 - 2011-04-30 02:30 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version set to 1.2.0

- % Done changed from 50 to 100

Committed in r5604, thanks.
#13 - 2011-04-30 07:39 - Jun NAITOH

- File chinese.rb.patch added

- File before_chinese.rb.patch.png added

- File after_chinese.rb.patch.png added

- Status changed from Closed to Reopened

I found the bug of the Automatic line break in Chinese PDF of r5604.

This is FPDF original bug. (Japanse and Korean don't have this problem)

I wrote patch.

#14 - 2011-04-30 07:59 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Note 13 patch is committed in r5605, thanks.

#15 - 2011-04-30 14:35 - Hugo Ferreira

Thanks for the prompt reply Toshi.

Congrats for the excellent work; things feel much lively around here lately.

Files

wrap_text_fields_in_pdf_r3764.patch 7.38 KB 2010-06-01 Hugo Ferreira

sandbox-1.pdf 3.15 KB 2010-06-01 Hugo Ferreira

export.pdf 4.42 KB 2010-06-01 Hugo Ferreira

issue5629_wrap_text_fields_in_pdf_r4213.patch 7.17 KB 2010-09-29 Hugo Ferreira

issue5629_wrap_text_fields_in_pdf_r4784.patch 7.46 KB 2011-02-01 Hugo Ferreira

chinese.rb.patch 364 Bytes 2011-04-30 Jun NAITOH

before_chinese.rb.patch.png 53.5 KB 2011-04-30 Jun NAITOH

after_chinese.rb.patch.png 53.1 KB 2011-04-30 Jun NAITOH
